Subject: Re: bug#39291: M-: history doesn't store erroneous input

From: Stefan Monnier <[email-masked]>
Date: Thu, 30 Jan 2020 09:23:11 -0500

> My only doubt is that now, the call to `string_to_object' (which calls
> `read-from-string', which calls `read1', and then `read0') is located
> outside the context (not sure what the right term is) set up with
> `specbind'. Could this be a problem? Do any of these functions depend on
> the context set up in `read_minibuf'?  (They don't appear to, just want
> to be sure).

AFAIK they don't depend on Lisp variables, no, so it should be safe to
move the call to `string_to_object` to after the `unbind_to`.

        Stefan